Gemalto is now part of the Thales Group, find out more.

You are here

Couldn't connect to TLS 1.2 Server with BGS2-W | Thales IoT Developer Community

November 6, 2019 - 1:44pm, 2475 views

I'm trying to initiate a secured TCP socket connection with the modem BGS2-W.

The server is forcing the use of TLS 1.2.While I'm able to connect to other servers which supports lower version of TLS, I can't connect with TLS 1.2.

The response to the ATI1 command is

Cinterion

BGS2-W

REVISION 02.000

A-REVISION 01.000.17

Now , I have 2 questions

  1. What the TLS version supported by the modem?
  2. If there is a newer firmware image for the modem that fixes the issue, How to get it? and How to update the modem firmware?